Bug 45370 - 01_ssh_connection diagnostic check should use FQDN
01_ssh_connection diagnostic check should use FQDN
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-08 20:13 CEST by Stefan Gohmann
Modified: 2018-03-28 13:28 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2017-09-08 20:13:57 CEST
Currently, the SSH connection check fails on member servers in UCS 4.2 because of Bug #43854. The check should use the FQDN of the systems.

Please re-activate the check in ucs-test, see:
fc837e74
by Stefan Gohmann at 2017-09-08T20:07:53+02:00
00_checks/81_diagnostic_checks.py: skip 01_ssh_connection (Bug #43854)
Comment 1 Arvid Requate univentionstaff 2018-03-20 20:14:39 CET
Fixed together with Bug 45584:

dfe067deb4 | Only use FQDNs for the SSH connection checks
e41f8d8aa5 | Advisory
eaf8051601 | Re-enable fixed diagnostic check

I've rebuilt ucs-test in errata4.3-0 too.
Comment 2 Felix Botner univentionstaff 2018-03-21 11:08:10 CET
ssh tests fails with

master.four.three - connect() got an unexpected keyword argument 'auth_timeout'
slave.four.three - connect() got an unexpected keyword argument 'auth_timeout'


works without auth_timeout'.
Comment 3 Arvid Requate univentionstaff 2018-03-21 12:49:30 CET
f282025bc5 | our paramiko version doesn't support the auth_timout option yet
170461e31c | paramiko supports a banner_timeout option
3daf8ff89b | Advisory
Comment 4 Felix Botner univentionstaff 2018-03-21 13:26:25 CET
OK - ssh check with fqdn only
OK - yaml
Comment 5 Arvid Requate univentionstaff 2018-03-28 13:28:28 CEST
<http://errata.software-univention.de/ucs/4.3/6.html>